import com.sun.speech.freetts.Voice;
import com.sun.speech.freetts.VoiceManager;
/** TTSManager Class **/
/** This class provides a helpful tool that uses a text to speech API to sing words..
/**@author Dani Odicho**/
public class TTSManager
{
	/**Sings a C major scale using the specified word.
	 * 
	 * @param word
	 */
  void playScale(String word)
  {
    VoiceManager vm = VoiceManager.getInstance();
    Voice voice = vm.getVoice("kevin16");
    voice.allocate();
    voice.setPitch(131.0F);
    voice.speak(word);
    voice.setPitch(147.0F);
    voice.speak(word);
    voice.setPitch(165.0F);
    voice.speak(word);
    voice.setPitch(175.0F);
    voice.speak(word);
    voice.setPitch(196.0F);
    voice.speak(word);
    voice.setPitch(220.0F);
    voice.speak(word);
    voice.setPitch(247.0F);
    voice.speak(word);
    voice.setPitch(262.0F);
    voice.speak(word);
  }
  /**<pre>Sings a word at a specified pitch.
   * @param index note value between 1 and 7. 
   * @param word 
	C note if index = 1.
	D note if index = 2.
	E note if index = 3.
	F note if index = 4.
	G note if index = 5.
	A note if index = 6.
	B note if index = 7.</pre>*/
  public void sing(int index, String word){
	  VoiceManager vm = VoiceManager.getInstance();
	  Voice voice = vm.getVoice("kevin16");
	  voice.allocate();

	  switch (index){
		case 1:
		    voice.setPitch(131.0F);
			break;
		case 2:
		    voice.setPitch(147.0F);
			break;
		case 3:
		    voice.setPitch(165.0F);
			break;
		case 4:
		    voice.setPitch(175.0F);
			break;
		case 5:
		    voice.setPitch(196.0F);
			break;
		case 6:
		    voice.setPitch(220.0F);
			break;
		case 7:
		    voice.setPitch(247.0F);
			break;
		case 8:
		    voice.setPitch(262.0F);
			break;
		default:
			System.out.println("Couldn't generate note. Make sure the parameter is between 1 and 7.");
		}
	    voice.setDurationStretch(1.5f);

	    if(voice.getPitch()>50)
	    voice.speak(word);

	  
  }
}